import { ComponentRef, ElementRef, OnDestroy, TemplateRef } from '@angular/core';
import { Overlay, OverlayPositionBuilder, OverlayRef, ScrollStrategyOptions } from '@angular/cdk/overlay';
import { TooltipContainerComponent } from './tooltip-container.component';
export declare type tooltipDirection = 'right' | 'left' | 'top' | 'bottom';
export declare class TooltipDirective implements OnDestroy {
    overlay: Overlay;
    overlayPositionBuilder: OverlayPositionBuilder;
    _sso: ScrollStrategyOptions;
    elementRef: ElementRef;
    tooltipId: number;
    /** @prop Sets content in the tooltip can be a string or a template */
    content: string | TemplateRef<any>;
    /** @prop Sets direction of the tooltip right,left,top, or bottom */
    direction: tooltipDirection;
    /** @prop Sets delay for before closing the tooltip */
    delay: number;
    /** @prop Sets the tooltip trigger MouseEnter, Click or Focus - MouseEnter is default*/
    tooltipTrigger: string;
    /** @prop Sets the offset of the tooltip from the host */
    offset: number;
    /** @prop Sets the maxwidth of the tooltip */
    maxWidth: number;
    ariaDescribedby: string;
    overlayRef: OverlayRef;
    positions: any[];
    tooltipRef: ComponentRef<TooltipContainerComponent>;
    constructor(overlay: Overlay, overlayPositionBuilder: OverlayPositionBuilder, _sso: ScrollStrategyOptions, elementRef: ElementRef);
    ngOnDestroy(): void;
    showtoolitp(): void;
    hide(): void;
    onClick(): void;
    closeTooltip(targetElement: any): void;
    onFocus(): void;
    onFocusout(): void;
    show(): void;
    close(): void;
}
